﻿using System.Collections.ObjectModel;
using System.Windows;

namespace ValueEditorSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var items = new ObservableCollection<Item>
                            {
                                new Item("1", Priority.High),
                                new Item("2", Priority.Low),
                                new Item("3", Priority.High),
                                new Item("4", Priority.Low),
                                new Item("5", Priority.High),
                                new Item("6", Priority.Low),
                                new Item("7", Priority.High),
                                new Item("8", Priority.Low),
                                new Item("9", Priority.High),
                                new Item("10", Priority.High)
                            };
            grid.DataSource = items;
        }

        public class Item
        {
            public Item(string name, Priority priority  )
            {
                Name = name;
                Priority = priority;
            }

            public Priority Priority { get; set; }

            public string Name { get; set; }
        }
    }

    public enum Priority
    {
        Low,
        High
    }
}
